﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WebBrowserT
{
    /// <summary>
    /// Audio.xaml에 대한 상호 작용 논리
    /// </summary>
    public partial class Audio : UserControl
    {

        public string MediaSrc { get; set; }
        public Audio()
        {
            InitializeComponent();
            this.Loaded += Audio_Loaded;
        }

        MediaElement mediatest = new MediaElement();

        public void play()
        {
            MediaElement mediatest = new MediaElement();
            mediatest.LoadedBehavior = MediaState.Manual;
            root.Children.Add(mediatest);
            mediatest.Source = new Uri(MediaSrc);
            mediatest.Play();
        }

        void mediatest_MediaEnded(object sender, RoutedEventArgs e)
        {
            Console.WriteLine("AAA");
        }


        public void stop()
        {
            mediatest.Stop();
        }


        public void dispose()
        {
            mediatest.Stop();
            mediatest.Close();            
            mediatest.Source = null;            
            mediatest = null;
            root.Children.Clear();
            
        }

        void Audio_Loaded(object sender, RoutedEventArgs e)
        {
            mediatest.LoadedBehavior = MediaState.Manual;
            root.Children.Add(mediatest);
            
            mediatest.Source = new Uri(MediaSrc);

            mediatest.Play();
        }
    }
}
